/****************************************************************************
** $Id: qwidcoll.h,v 1.3 1996/01/03 10:41:53 hanord Exp $
**
** Definition of QWidget collections
**
** Author  : Haavard Nord
** Created : 950116
**
** Copyright (C) 1992-1996 Troll Tech AS.  All rights reserved.
**
** This file is part of the non-commercial distribution of Qt 0.99
** see the file LICENSE included in the distribution for the usage
** and distribution terms, or http://www.troll.no/qt/license.html.
**
** (This file differs from the commercial version of Qt only by this comment.)
**
*****************************************************************************/

#ifndef QWIDCOLL_H
#define QWIDCOLL_H

#include "qwidget.h"
#include "qlist.h"
#include "qintdict.h"


typedef declare(QListM,QWidget)		QWidgetList;
typedef declare(QListIteratorM,QWidget) QWidgetListIt;

typedef declare(QIntDictM,QWidget)	   QWidgetIntDict;
typedef declare(QIntDictIteratorM,QWidget) QWidgetIntDictIt;


#endif // QWIDCOLL_H
