/****************************************************************************
** $Id: qwindow.h,v 1.5 1996/07/01 10:13:44 hanord Exp $
**
** Definition of QWindow class
**
** Author  : Haavard Nord
** Created : 931112
**
** Copyright (C) 1992-1996 Troll Tech AS.  All rights reserved.
**
** This file is part of the non-commercial distribution of Qt 0.99
** see the file LICENSE included in the distribution for the usage
** and distribution terms, or http://www.troll.no/qt/license.html.
**
** (This file differs from the commercial version of Qt only by this comment.)
**
*****************************************************************************/

#ifndef QWINDOW_H
#define QWINDOW_H

#include "qwidget.h"


class QWindow : public QWidget			// window widget class
{
    Q_OBJECT
public:
    QWindow( QWidget *parent=0, const char *name=0, WFlags f=0 );
   ~QWindow();

private:	// Disabled copy constructor and operator=
    QWindow( const QWindow & ) {}
    QWindow &operator=( const QWindow & ) { return *this; }
};


#endif // QWINDOW_H
